Seven Urgent Questions About WordPress’ Gutenberg Answered

What you need to know about the newest version of WordPress

Known to most as Gutenberg, WordPress 5.0 has officially launched. At Incite Response, we’ve completed a number of hotel site upgrades and are in an ideal position to pass along what we’ve learned so you can understand the challenges and improvements Gutenberg has provided for hotel websites.

Seven Urgent Questions About WordPress’ Gutenberg Answered

Why did WordPress change the editor?

The change in the editor was just one of several changes that WordPress made to simplify the user experience. More specifically, the simplification of the first-time user experience. For the many that have built sophisticated applications, sites and plugins to fill in the gaps, this produces a complication. Gutenberg may not play nicely in those scenarios. For that reason, your upgrade to WordPress 5.0 may require the assistance of an experienced WordPress development team.

What if my hotel website is old?

WordPress has been around for 15 years, during which time thousands of hotel websites have been created using old versions and plugins. I see hotel websites built on older versions of WordPress frequently. Many of these sites are vulnerable, waiting to be infected with malware or to wreak havoc on revenues as their site performance diminishes and business suffers.

Should I worry if my WordPress website isn’t old, but was built prior to 2018?

WordPress sites that were built in the recent past have an excellent chance to experience a smooth upgrade and will transition well to the new version. If your website is in this position, consider updating now. Gutenberg is a very good update to deploy since it will enhance the security of your website and improve its performance. Improved performance = better search engine rankings and we all want that.

What if my WordPress site was built before 2015?

Hotels that have websites that are several years old with deferred maintenance (which usually means deferred updates) may be better off building an entirely new website. This isn’t the bad news you may think it is, though. The exciting part of this is you’ll be able to take full advantage of all the latest capabilities. If you put off a site rebuild last year then you made a very good decision, there is no better time to build a brand-new WordPress website than right now.

What if I do nothing?

If you remain on the 4.9.8 version of WordPress, you will continue to receive security updates from the WordPress core team. At some point, you’ll need a website company to begin implementing these manually. The current policy of the WordPress security team is to back-port security fixes to all auto-update compatible WordPress core versions. This means that all versions of WordPress core will continue to receive security updates all the way back to WordPress 3.7. This is not an open-ended policy and may change in the future.

Additionally, you may find your plugins stop updating. This represents a potential a security risk. As the developers of these plugins desire to control support costs, they may decide to move forward leaving your plugins vulnerable. At this point, you’ll need to delete these plugins which may leave your website without valuable features.

Will Gutenberg be compatible with my current page builder?

Many websites, Incite Response-built sites included, use page builders to make editing and managing a website easier. Some of these include Divi, Beaver Builder and Avada, all of which are compatible with Gutenberg with a few minor settings changes. You will want to check with your developer about page builder compatibility before updating. If you don’t, you may find an incomprehensible back-end the next time you log in.

What about website security?

Sucuri’s 2017 Hacked Website Report finds out more than 39.3% WordPress websites were running out-of-date WordPress software at the time of the hacking. The most vulnerable version of WordPress is 3.x.

No website is immune to being hacked, but a well-managed and maintained website is not an easy target. WordPress is always adding new features and updates to improve security as are the plugin developers and theme developers. This means your best defense against intrusion is a great WordPress management policy.

If you don’t have access to the admin panel of your WordPress website, you can check which version you are running and see any security vulnerabilities with these tools

https://hackertarget.com/wordpress-security-scan/

https://wpscans.com/

David Metze

The Hotel Industry’s Leading Expert on WordPress Digital Marketing

For over 17 years Incite Response has been providing digital marketing services for hotels and resorts. We are the leading experts in the design, development and management of WordPress websites. We help hotels and resorts realize the significant savings and improved site management that comes from an open source CMS like WordPress. In addition to website services we also offer the full range of digital marketing capabilities that successful hotels and resorts require in today’s competitive market. We provide everything that brings the guest to Book Now!